MKFS(8)

NOM
mkfs - Créer un système de fichiers Linux

SYNOPSIS
mkfs [ -V ] [ -t fstype ] [ fs-options ] filesys [ nb_blocs ]

DESCRIPTION
mkfs est utilisé pour formater un système de fichiers Linux sur un périphérique, généralement une partition de disque dur. filesys est soit le nom du périphérique (par exemple : /dev/hda1, /dev/sdb2). nb_blocs est le nombre de blocs à utiliser pour le système de fichiers.

Le code de retour renvoyé par mkfs est 0 en cas de succès et 1 en cas d'échec.

En fait, mkfs est simplement une interface pour les divers formateurs de système de fichiers. (mkfs.type_de_fs) disponibles sous Linux. Le formateur du système de fichiers voulu est recherché dans un certain nombre de répertoires (/sbin, /sbin/fs, /sbin/fs.d, /etc/fs, /etc) (la liste exacte est définie au moment de la compilation mais contient au moins /sbin et /sbin/fs), puis les répertoires listés par la variable d'environnement PATH. Veuillez consulter la page de manuel spécifique au système de fichiers désiré pour plus de détails.

OPTIONS

-V  Génèrer plus de messages, notamment toutes les commandes exécutées. Indiquer cette option plusieurs fois inhibe l'exécution de toute commande spécifique au système de fichiers. Ceci n'est vraiment utile que pour faire des tests.

-t fstype
    Indiquer le type de système de fichiers à formater. S'il n'est pas indiqué, le type est déduit de la ligne correspondante du fichier /etc/fstab. Sinon le format par défaut (ext2) est utilisé.

fs-options
    Options spécifiques au système de fichiers employé à passer au « vrai » formateur. La plupart des options suivantes sont supportés par la majorité des formateurs de système de fichiers. Attention, il peut y avoir des exceptions.

-c  Vérifier le périphérique pour éliminer les secteurs défectueux avant de formater le système de fichiers.

-l nom_de_fichier
    Lire la liste des secteurs défectueux depuis le nom_de_fichier.

-v  Génèrer plus d'affichage (volubile).

BOGUES
Toutes les options génériques doivent précéder et ne pas être mélangées avec les options spécifiques au système de fichiers. Certains formateurs ne reconnaissent pas l'option -v (mode volubile), ou retournent un code d'erreur incompréhensible. De plus, certains programmes spécifiques à un système de fichiers ne peuvent détecter la taille du périphérique et nécessitent le passage du paramètre blocks.

AUTEURS
David Engel (david@ods.com)
Fred N. van Kempen (waltje@uwalt.nl.mugnet.org)
Ron Sommeling (sommel@sci.kun.nl)
Cette page de manuel est une simple adaptation de celle de Rémy Card (le concepteur du système de fichiers étendu 2, le standard de facto sous Linux).

DISPONIBILITÉ
La commande mkfs fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8), mkfs.xiafs(8)

  Note du traducteur
Il est possible de formater un fichier comme s'il s'agissait d'un périphérique. Il faudra alors passer outre aux protestations de mkfs. La principale utilisation de cette option est de pouvoir formater un périphérique loopback.

TRADUCTION
Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> le 19 avril 1999 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 mkfs ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.